Bug 1177042 - mod_auth_cas missing in EPEL7
Summary: mod_auth_cas missing in EPEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mod_auth_cas
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-23 22:32 UTC by David Mueller
Modified: 2016-08-17 23:20 UTC (History)
3 users (show)

Fixed In Version: mod_auth_cas-1.1-1.fc24 mod_auth_cas-1.1-1.fc23 mod_auth_cas-1.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-29 12:57:16 UTC
Type: Bug


Attachments (Terms of Use)

Description David Mueller 2014-12-23 22:32:20 UTC
mod_auth_cas is missing from EPEL-7. It is currently available in EPEL-5 and 6 as well as Fedora 19, 20, 21.

Thank you.

Comment 1 Adam Miller 2014-12-23 22:39:12 UTC
mod_auth_cas does not support httpd 2.4.x, which is a known issue upstream[0]. It is currently broken in Fedora for the same reason, since RHEL 7 ships httpd 2.4.x by default I didn't want to branch and ship a known not-working package. As soon as it is available for httpd 2.4.x I will happily branch and ship in EPEL7.

-AdamM

[0] - https://github.com/Jasig/mod_auth_cas/issues/49

Comment 2 David Mueller 2014-12-24 03:49:41 UTC
Thanks. It looks like there has been some work at patching but upstream has yet to put out a new release that incorporates the fixes, so no EPEL version yet.

Comment 3 Matt Smith 2015-12-21 14:25:11 UTC
1.1-RC1 has just been announced upstream, with httpd 2.4 support.  We plan to release 1.1 within the next couple weeks.

Comment 4 Matt Smith 2016-02-07 23:11:26 UTC
1.1-RC2 has just been tagged.  Developers have chosen to use "AM_MAINTAINER_MODE([disable])" in configure.ac, to alleviate challenges autoconf + VCS.  Email has gone out to cas-user seeking testing.  Please contact developers (e.g., myself) if this causes any packaging problems.

Comment 5 Fedora Update System 2016-05-12 14:59:55 UTC
mod_auth_cas-1.1-0.2.rc3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-745af9f14c

Comment 6 Fedora Update System 2016-05-12 15:00:02 UTC
mod_auth_cas-1.1-0.2.rc3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-bad6176675

Comment 7 Fedora Update System 2016-05-12 15:00:07 UTC
mod_auth_cas-1.1-0.2.rc3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-62af7d2c33

Comment 8 Fedora Update System 2016-05-15 06:25:22 UTC
mod_auth_cas-1.1-0.2.rc3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-bad6176675

Comment 9 Fedora Update System 2016-05-15 06:57:30 UTC
mod_auth_cas-1.1-0.2.rc3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-62af7d2c33

Comment 10 Matt Smith 2016-05-15 16:12:57 UTC
mod_auth_cas v1.1 released today.

Comment 11 Fedora Update System 2016-05-16 15:24:23 UTC
mod_auth_cas-1.1-0.2.rc3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-745af9f14c

Comment 12 Fedora Update System 2016-05-23 13:39:05 UTC
mod_auth_cas-1.1-0.2.rc3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-62af7d2c33

Comment 13 Fedora Update System 2016-05-24 02:58:04 UTC
mod_auth_cas-1.1-0.2.rc3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-62af7d2c33

Comment 14 Fedora Update System 2016-06-17 14:24:36 UTC
mod_auth_cas-1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-86c7be41d1

Comment 15 Fedora Update System 2016-06-17 14:24:43 UTC
mod_auth_cas-1.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-49779e1a06

Comment 16 Fedora Update System 2016-06-17 14:24:48 UTC
mod_auth_cas-1.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-57437501a3

Comment 17 Fedora Update System 2016-06-18 05:24:00 UTC
mod_auth_cas-1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-86c7be41d1

Comment 18 Fedora Update System 2016-06-18 16:25:45 UTC
mod_auth_cas-1.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-49779e1a06

Comment 19 Fedora Update System 2016-06-18 17:19:41 UTC
mod_auth_cas-1.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-57437501a3

Comment 20 Fedora Update System 2016-06-29 12:57:14 UTC
mod_auth_cas-1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-06-29 17:23:31 UTC
mod_auth_cas-1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 David Mueller 2016-08-02 22:39:24 UTC
This bug has been marked as closed after being pushed to Fedora 24 stable, but it does not appear in EPEL 7 stable.

Comment 23 Fedora Update System 2016-08-17 23:20:50 UTC
mod_auth_cas-1.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.